Name: mspt
Version: 0.1.0
Release: alt1
Group: Development/Other
Summary: Tools for creating based on Sisyphus solutions
Summary(ru_RU.KOI8-R):      Sisyphus 
License: GPL
Conflicts: spt spt3 
Requires: %name-functions

BuildArch: noarch

Requires: hasher >= 1.0.25-alt1
Requires: hasher-priv >= 1.2.2-alt1
Requires: syslinux

%define v_spt 0.4.0
%define v_spt3 0.1

Source: spt3-%v_spt3.tar.bz2
Source1: spt-%v_spt.tar
Source2: mspt-docs.tar.bz2
Patch1:	%name-%version-integr.patch

%description
Tools for creating solutions based on Sisyphus open-source programs repository.
The association of spt and spt3 is in one package.

%description -l ru_RU.CP1251
   LiveCD,        .
     spt  spt3,        
   . 


%package functions
Group: Development/Other
Summary: Functions for spt and spt3

%package spt
Group: Development/Other
Summary: Scripts of spt
Version: %v_spt
Requires: %name 
Conflicts: spt spt3 

%package spt3
Group: Development/Other
Summary: Scripts of spt3
Version: %v_spt3
Requires: %name 
Conflicts: spt spt3 

%package spt-profiles
Group: Development/Other
Summary: Profiles for spt
Requires: %name 

%package spt3-profiles
Group: Development/Other
Summary: Profiles for spt3
Requires: %name 

%description functions
Public functions for spt and spt3.

%description spt
Scripts of spt

%description spt3
Scripts of spt3

%description spt-profiles
Profiles for spt

%description spt3-profiles
Profiles for spt3


%prep
%setup -cn %name-%version -a1 -a2
%patch1 -p1

%build
mv docs/* .
pushd spt3-%v_spt3/bin/
mv spt spt3

%install
%makeinstall DESTDIR=%buildroot

pushd spt3-%v_spt3
mkdir -p %buildroot{%_datadir/%name,%_bindir}
cp -a share/* %buildroot%_datadir/%name
install -m644  %buildroot%_bindir/spt-sh-functions %buildroot%_datadir/%name
install -m755 bin/* %buildroot%_bindir
install -d -m755 %buildroot%_datadir/%name/spt3
cp -a profiles/* %buildroot%_datadir/%name/spt3
popd
install -d -m755 %buildroot%_docdir/%name-%version/

%post spt 
echo "WARNING! WARNING! WARNING! WARNING! WARNING!"
echo "Now you need special hasher setup for spt!"
echo "You must set allow_ttydev=YES parameter in"
echo "hasher-priv.conf. See hasher-priv.conf(5)"
echo "for details."

%post spt3
echo "WARNING! WARNING! WARNING! WARNING! WARNING!"
echo "Now you need special hasher setup for spt!"
echo "You must set allow_ttydev=YES parameter in"
echo "hasher-priv.conf. See hasher-priv.conf(5)"
echo "for details."

%files
%doc Changelog.spt Changelog.spt3 spt.txt

%files functions
%_datadir/%name/functions
%_datadir/%name/init
%_datadir/%name/spt-sh-functions

%files spt
%_bindir/spt
%files spt3
%_bindir/spt3
%_bindir/spt-*

%files  spt-profiles
%dir %_datadir/%name/spt
%_datadir/%name/spt/*

%files spt3-profiles
%dir %_datadir/%name/spt3
%_datadir/%name/spt3/*

%changelog
* Sat Dec 09 2006 Hihin Ruslan <ruslandh@altlinux.ru> 0.1.0-alt1
- The association of spt and spt3 is in one package.

